Qt5 for Android: incompatible ABI

I recently installed Qt5 and works like a charm for API 17 and armeabi-v7a. But I added second AVD with other parameters (of course, I installed packages in AVD settings). Now, I can't compile first project and new project for API10. When check any toolchain (armeabi or armeabi-v7a), window for choose AVD says that I don't have compatible AVD (in message displays that AVD supports default/armeabi or default/armeabi-v7a). Anyone know how I can repair this? I think that problem is with "default/"...

Answers


There seems to be another workaround for this problem:

In QtCreator -> Projects -> BuildEnvironment add the variable

ANDROID_TARGET_ARCH=default/armeabi-v7a

Then the AVDs are shown as compatible.


It turns out that this is indeed a changed behaviour in the latest version of the Android SDK, where it lists AVDs with prefixed tag information. So instead of armeabi-v7a it's returning default/armeabi-v7a, resulting in QtCreator complaining that the ABI is not supported.

Here is the QtCreator bug report: https://bugreports.qt.io/browse/QTCREATORBUG-11658

You can either wait for a new QtCreator to be released after the patch goes in (it's being reviewed at the moment), or you can try to downgrade your Android SDK Tools from version 22.6 to something that reports only ABI: armeabi-v7a instead of Tag/ABI: default/armeabi-v7a when you execute android list avd


Spent some time figuring out how to downgrade from Android SDK Tools 22.6. Here's how to downgrade:

  1. Download Android SDK Tools 22.3

  2. Rename tools-folder to tools-22.6 under SDK (eg. ~/adt-bundle-linux-x86_64-20131030/sdk/tools)

  3. Extract the downloaded tools to above path

Need Your Help

How to repeat a "block" in a django template

django django-templates dry

I want to use the same {% block %} twice in the same django template. I want this block to appear more than once in my base template: